# Interface methods for submodule: EllipseSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectProxy as _SpatialObjectProxy


# Interface methods for class: EllipseSpatialObject
class EllipseSpatialObjectProxy(_SpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	@overload
	def SetRadiusInObjectSpace(self, radius: float) -> None:
		""""""
		...

	@overload
	def SetRadiusInObjectSpace(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetRadiusInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def SetCenterInObjectSpace(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetCenterInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

